require_relative 'setup'

RSpec.describe Quran::Cursor do
  let(:quran) { Quran.new File.join(ENV['HOME'], 'Quran') }
  let(:cursor) { Quran::Cursor.new quran, 1, 1 }

  describe '#peak' do
    subject(:peak) { cursor.peak }

    it 'returns the next ayah and the number of parts it has' do
      expect(peak).to eq(
        [ Quran::Ayah.new(2, ["1_2.png"], quran.surahs[0]), 1 ]
      )
    end

    it 'does not move the cursor' do
      peak
      expect(cursor.surah).to eq(quran.surahs[0])
      expect(cursor.ayah).to eq(quran.ayahs[0])
    end
  end
end
